//
//  ant shader for rendering global ground
//

#version 120

uniform sampler2D in_DiffuseMap;
uniform sampler2D in_NormalMap;
// uniform sampler2D in_DisplacementMap;
// uniform sampler2D in_RoughnessMap;

varying   vec2 TexCoords;

void main() {
    vec4 diffuseColor = texture2D(in_DiffuseMap, TexCoords);
    vec4 normal = texture2D(in_NormalMap, TexCoords);

    gl_FragColor = diffuseColor + 0.000001 * normal;
}
